jQuery Includer for Joomla 1.5 - 3.x

With this jQuery inclusion plugin for Joomla 1.5 - 3.x you can:

  • Include a minified, gzip compressed version of jQuery.
  • Set a far-future expire header for minimizing server requests.
  • Include any older or more recent version of jQuery.

This extension is GPLv2/MIT dual licensed. Developers are encouraged to bundle this plugin with their own extensions.

Important: This plugin only tested on PHP 5.2 and higher. Please do not try to install it on servers with any lower PHP version. Do not install it on servers running PHP 4, it will render your website dysfunctional.

See reviews and ratings at the jQuery Includer Page at the Joomla! Extensions Directory.


You can see the plugin in a live environment at this website and our at demo website for ConfigBox, our product configurator for Joomla.


Current version: 1.5.0

Download jQuery Includer

Download jQuery Includer for Joomla 1.5.x


If you find any bugs or problems, please report them using our contact form.